# $Id: razor-agents.spec 421 2004-05-02 00:40:29Z dag $
# Authority: dag

%define perl_vendorlib  %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch  %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

Summary: Use the Razor catalog server to filter spam messages
Name: razor-agents
Version: 2.40
Release: 1.dag
License: Artistic
Group: Applications/Internet
URL: http://razor.sf.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/razor/razor-agents-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl, perl(Net::DNS), perl(Digest::SHA1), perl(Time::HiRes), perl(MIME::Base64)
Requires: perl-Razor-Agent = %{version}-%{release}

%description
Vipul's Razor is a distributed, collaborative, spam detection and filtering
network.  Razor establishes a distributed and constantly updating catalogue of
spam in propagation.  This catalogue is used by clients to filter out known 
spam.  On receiving a spam, a Razor Reporting Agent (run by an end-user or a 
troll box) calculates and submits a 20-character unique identification of the
spam (a SHA Digest) to its closest Razor Catalogue Server.  The Catalogue 
Server echos this signature to other trusted servers after storing it in its
database.  Prior to manual processing or transport-level reception, Razor 
Filtering Agents (end-users and MTAs) check their incoming mail against a 
Catalogue Server and filter out or deny transport in case of a signature 
match.  Catalogued spam, once identified and reported by a Reporting Agent, 
can be blocked out by the rest of the Filtering Agents on the network. 

%package -n perl-Razor-Agent
Group: Applications/CPAN
Summary: perl-Razor Perl module
Requires: perl(Net::DNS)
Obsoletes: razor-agents-sdk, perl-Razor

%description -n perl-Razor-Agent
Implements perl class Razor, a SPAM/UCE filtering agent.

%prep
%setup

%build
CFLAGS="%{optflags}" perl Makefile.PL \
	INSTALLDIRS="vendor"
cd Razor2-Preproc-deHTMLxs
CFLAGS="%{optflags}" %{__perl} Makefile.PL \
	INSTALLDIRS="vendor"
cd -
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"
%{__mv} -f Changes Changes.pod
pod2text Changes.pod > Changes

%install
%{__rm} -rf %{buildroot}
%makeinstall -C Razor2-Preproc-deHTMLxs \
	PERL_INSTALL_ROOT="%{buildroot}"
%makeinstall \
	PERL_INSTALL_ROOT="%{buildroot}" \
	PERL5LIB="%{buildroot}%{perl_vendorarch}" \
	INSTALLMAN5DIR="%{_mandir}/man5"

%{__install} -d -m0755 %{buildroot}%{_bindir}
for bin in razor-check razor-report razor-admin razor-revoke; do
    %{__ln_s} -f razor-client %{buildroot}%{_bindir}/$bin
done

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc BUGS Changes CREDITS FAQ INSTALL README docs/
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%{_bindir}/*

%files -n perl-Razor-Agent
%defattr(-, root, root, 0755)
%doc Changes
%doc %{_mandir}/man3/*
%{perl_vendorlib}

%changelog
* Sun Jan 26 2003 Dag Wieers <dag@wieers.com> - 1.20-0
- Initial package. (using DAR)
